Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159851 - OpenOffice.org won't open word document unless it has a .doc extension
Summary: OpenOffice.org won't open word document unless it has a .doc extension
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 17:03 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.108-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 15:21:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 47323 None None None Never

Description Mark McLoughlin 2005-06-08 17:03:06 UTC
(Summary may be a bit of an over-generalisation but ...)

Basically, if I have a word doc "/tmp/Foo" and I do "oowriter /tmp/Foo" then I
get a dialog which just says

  Read-Error
  Error reading file .

     [ OK ]

If I rename it to /tmp/Foo.doc it works fine.

The context here is that Firefox gets confused with some sites (e.g. yahoo mail)
and saves attachments like "Tax Assignment.doc" as "Tax" and launches
OpenOffice.org. See bug #159849

Comment 1 Mark McLoughlin 2005-06-08 17:04:42 UTC
(This openoffice.org-1.9.104-1 by the way)

Comment 2 Caolan McNamara 2005-06-09 15:53:54 UTC
Stupid binfilter module's typedetect gets called before writers where there is
no suffix hint and it uses clipboard ids to find the filter. Not realizing that
there are three filters with the same clipboardid and grabs the first one and
announces the word97 document as winword 5. Complete mess but easy to quick hack
fix, which will be in 1.9.108-3.


Note You need to log in before you can comment on or make changes to this bug.